Sign a program for a multisig account | Algorand Developer Portal
Sign a program for a multisig account
POST
/v1/multisig/signprogram
Start a multisig signature, or add a signature to a partially completed multisig signature object.
Authorizations
Request Body
The list of MIME types the operation can consume: application/json
APIV1POSTMultisigProgramSignRequest is the request for POST /v1/multisig/signprogram
object
address
stringdata
string format: bytepartial_multisig
MultisigSig is the structure that holds multiple Subsigs
object
- Subsigs
Array
MultisigSubsig is a struct that holds a pair of public key and signatures
signatures may be empty
object
Key
PublicKey is an exported ed25519PublicKey ArraySig
Classical signatures
A Signature is a cryptographic signature. It proves that a message was produced by a holder of a cryptographic secret. ArrayThreshold
integer
format: uint8Version
integer
format: uint8public_key
PublicKey is an exported ed25519PublicKey Arraywallet_handle_token
stringwallet_password
string
Responses
200
Response to POST /v1/multisig/signdata
The list of MIME types the operation can produce: application/json
APIV1POSTMultisigProgramSignResponse is the response to POST /v1/multisig/signdata
object
error
booleanmessage
stringmultisig
string format: byte